# __gnu_cxx::_Rope_insert_char_consumer< _CharT, _Traits > Class Template Reference

Inheritance diagram for __gnu_cxx::_Rope_insert_char_consumer< _CharT, _Traits >:

List of all members.

## Detailed Description

### template<class _CharT, class _Traits>
class __gnu_cxx::_Rope_insert_char_consumer< _CharT, _Traits >

Definition at line 896 of file ropeimpl.h.

## Public Member Functions

- _Rope_insert_char_consumer (_Insert_ostream &__writer)
- bool operator() (const _CharT *__leaf, size_t __n)
- ~_Rope_insert_char_consumer ()

The documentation for this class was generated from the following file:

- ropeimpl.h